#!/bin/sh
#
# Final stage of conversion from XML to HL & WAV via PROCSY
#
# run with argument = XML filename
#	.xml has full data including SPDATA, HLDATA and aligned IP
#
# base directory
PROCSY=c:/cygwin/home/mark/prosynth/procsy2005
#
# get base name
f=`echo $1 | sed s/.xml//` 
#
# run procsy on the .xml file
$PROCSY/bin/prx -o $f.tmp $PROCSY/prx/procsy.prx $f.xml
#
# convert to HL
$PROCSY/bin/prx -n $PROCSY/prx/xml2hl.prx $f.tmp >$f.hl
#
# convert to WAV using hlsyn
$PROCSY/bin/hlsyn -o $f-out.wav $f.hl
#
# tidy up
rm $f.tmp
